mochitest-plain: intermittent "test_postMessage_special.xhtml | test timed out"

RESOLVED WORKSFORME

Status

()

Core
DOM
RESOLVED WORKSFORME
9 years ago
5 years ago

People

(Reporter: sgautherie, Unassigned)

Tracking

({intermittent-failure})

Trunk
x86
All
intermittent-failure
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1252109452.1252113612.32604.gz
Linux mozilla-central test mochitests on 2009/09/04 17:10:52

test_postMessage_special.xhtml | test timed out (postMessage not accessible on window.parent in the first about:blank iframe?)
(Reporter)

Updated

9 years ago
Blocks: 438871
Whiteboard: [orange]
This could just be slowness; that timeout is supposed to be a fallback for engines like WebKit that have different (and I think not HTML5-sanctioned) security models from ours, where the keep-going notification we expect to receive will never actually be sent.  Bumping the timeout up is one option; it also might be possible to add a backup notification mechanism in case of failure, to avoid reliance on the timeout as a failure-detection method in the first place.
(Reporter)

Comment 2

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1265091790.1265097285.15366.gz
Linux comm-central-trunk debug test mochitests on 2010/02/01 22:23:10

and

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1265103077.1265108584.13798.gz
Linux comm-central-trunk debug test mochitests on 2010/02/02 01:31:17

Comment 3

8 years ago
WINNT 5.2 mozilla-central debug test mochitests-3/5
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265312057.1265314228.21333.gz&fulltext=1
OS: Linux → All
Comment hidden (Treeherder Robot)
Haven't seen this in two years.
Status: NEW → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → WORKSFORME
(Assignee)

Updated

5 years ago
Keywords: intermittent-failure
(Assignee)

Updated

5 years ago
Whiteboard: [orange]
(Assignee)

Updated

5 years ago
Component: DOM: Mozilla Extensions → DOM
Product: Core → Core
You need to log in before you can comment on or make changes to this bug.